Index: palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1533)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1534)
@@ -6,5 +6,4 @@
 \usepackage{ngerman}
 \usepackage{pgf}
-\usetheme{Dresden}
 \usepackage{subfigure}
 \usepackage{units}
@@ -15,15 +14,12 @@
 \usepackage{tikz}
 \usetikzlibrary{shapes,arrows,positioning}
-\usetikzlibrary{decorations.markings}             %neues paket
-\usetikzlibrary{decorations.pathreplacing}        %neues paket
 \def\Tiny{\fontsize{4pt}{4pt}\selectfont}
+
+%---------- neue Pakete
 \usepackage{amsmath}
 \usepackage{amssymb}
 \usepackage{multicol}
 \usepackage{pdfcomment}
-\usepackage{graphicx}
-\usepackage{listings}
-\lstset{showspaces=false,language=fortran,basicstyle=
-        \ttfamily,showstringspaces=false,captionpos=b}
+
 
 \institute{Institute of Meteorology and Climatology, Leibniz UniversitÃ€t Hannover}
@@ -91,5 +87,5 @@
    \item<1-> How does the flow field look like after 60 minutes of simulated time? (What kind of output do you need to answer this?)
    \item<2-> How do the horizontally and temporally averaged vertical temperature and heat flux profiles look like?
-   \item<3-> Is it really a large-eddy simulation, i.e. are the subgrid-scale fluxes much smaller than the resolved-scale fluxes? (How long should the averaging time interval be?)
+   \item<3-> Is it really a large-eddy simulation, i.e., are the subgrid-scale fluxes much smaller than the resolved-scale fluxes? (How long should the averaging time interval be?)
    \item<4-> How do the total kinetic energy and the maximum velocity components change in time? Has the flow become stationary?
    \item<5-> Has the domain size and grid size been chosen appropriately?
@@ -126,9 +122,5 @@
       \end{itemize}     
       
-      \item<7-> Simulation time
-      \begin{itemize}
-         \scriptsize
-         \item[-]<7-> See parameter \textcolor{blue}{\texttt{end\_time}}.
-      \end{itemize}
+      \item<7-> Simulation time: See parameter \textcolor{blue}{\texttt{end\_time}}
       
    \end{itemize}
@@ -217,7 +209,7 @@
    \frametitle{$xy$-cross sections (instantaneous at $t = \unit[3600]{s}$)}
    \begin{center}
-      \includegraphics[width=0.42\textwidth]{exercise_cbl_figures/xy_w_100.eps}
-      \includegraphics[width=0.42\textwidth]{exercise_cbl_figures/xy_w_500.eps}\\
-      \includegraphics[width=0.42\textwidth]{exercise_cbl_figures/xy_w_750.eps}
+      \includegraphics[width=0.4\textwidth]{exercise_cbl_figures/xy_w_100.eps}
+      \includegraphics[width=0.4\textwidth]{exercise_cbl_figures/xy_w_500.eps}\\
+      \includegraphics[width=0.4\textwidth]{exercise_cbl_figures/xy_w_750.eps}
    \end{center}
 \end{frame}
@@ -226,15 +218,13 @@
 \begin{frame}
    \frametitle{$xz$-cross sections ($\unit[900]{s}$ average)}
-   \begin{center}
-      \includegraphics[width=0.55\textwidth]{exercise_cbl_figures/xz_w_y250m.eps}
-      \includegraphics[width=0.55\textwidth]{exercise_cbl_figures/xz_w_y500m.eps}\\
-      \includegraphics[width=0.55\textwidth]{exercise_cbl_figures/xz_w_y750m.eps}
-      \includegraphics[width=0.55\textwidth]{exercise_cbl_figures/xz_w_y1000m.eps}
-   \end{center}
+    \includegraphics[width=0.52\textwidth]{exercise_cbl_figures/xz_w_y250m.eps}
+    \includegraphics[width=0.52\textwidth]{exercise_cbl_figures/xz_w_y500m.eps}\\
+    \includegraphics[width=0.52\textwidth]{exercise_cbl_figures/xz_w_y750m.eps}
+    \includegraphics[width=0.52\textwidth]{exercise_cbl_figures/xz_w_y1000m.eps}
 \end{frame}
 
 % Folie 10
 \begin{frame}
-   \frametitle{Vertical profiles (I)}
+   \frametitle{Vertical profiles}
    \begin{center}
       \includegraphics[angle=90,width=\textwidth]{exercise_cbl_figures/pr_pt.eps}
@@ -246,6 +236,5 @@
    \frametitle{LES?}
    \begin{center}
-      \includegraphics[width=0.55\textwidth]{exercise_cbl_figures/pr_wpt2.eps}
-      \includegraphics[width=0.55\textwidth]{exercise_cbl_figures/pr_wpt_resolved.eps}
+      \includegraphics[width=1.0\textwidth]{exercise_cbl_figures/pr_wpt_res_sgs.eps}
    \end{center}
 \end{frame}
@@ -266,3 +255,86 @@
    \end{center}
 \end{frame}
+
+
+\subsection{Answers}
+
+% Folie 14
+\begin{frame}
+   \frametitle{Answers to question I}
+   \footnotesize
+   How does the flow field look like after 60 minutes of simulated time?
+   \begin{itemize}
+    \item Useful output: for example instantaneous or time-averaged cross-sections of vertical velocity (frames 8--9).
+    \item Flow field shows narrower updrafts and broader downdrafts, cellular pattern close to the heated/cooled plates in xy-sections of 
+          vertical velocity.
+    \item The temporal mean of vertical velocity exhibits a circulation spanning the whole depth of the model domain.
+   \end{itemize}
+\end{frame}
+
+% Folie 15
+\begin{frame}
+   \frametitle{Answers to question II}
+   \footnotesize
+   How do the horizontally and temporally averaged vertical temperature and heat flux profiles look like?
+   \begin{itemize}
+    \item PALM standard profile output contains potential temperature and its vertical flux (shown in frame 10). 
+    \item Heating the lower plate and cooling the upper plate induces convection resulting in a well-mixed boundary layer where the 
+          potential temperature profile is constant with height. 
+          Temperature gradients remain at the domain boundaries since convective turbulence cannot remove them in the vicinity of the walls. 
+    \item In case of horizontal homogeneity, the temperature equation reduces  to 
+          $\frac{\partial\theta}{\partial t}=-\frac{\partial\overline{w^{\prime}\theta^{\prime}}}{\partial z}$ in the present case. In a 
+          stationary state, it follows that $\frac{\partial\theta}{\partial t}= 0 $. Thus, the flux profile 
+          $\overline{w^{\prime}\theta^{\prime}}$ has to be constant with height -- as can be seen in frame 10.
+    \item The total vertical heat flux is positive in the whole modeling domain indicating upward transport of warmer air 
+          parcels and downward transport of colder air parcels. 
+   \end{itemize}
+\end{frame}
+
+% Folie 16
+\begin{frame}
+   \frametitle{Answers to question III}
+   \footnotesize
+   Is it really a large-eddy simulation? Duration of averaging time?
+   \begin{itemize}
+    \item It is a large-eddy simulation because the sub-grid fluxes are negligibly small throughout the bulk of the mixed layer. There, the 
+          resolved flux is dominating the total flux indicating a well-resolved turbulent flow (frame 11). Sub-grid fluxes dominate close to 
+          the surface where the turbulent-eddies cannot be resolved.
+    \item Typically, the averaging time should contain several large-eddy turnover times. The large-eddy turnover time can be defined as 
+          $\tau_{\mathrm{l}}=L/u$ where $L$ is the length-scale of the largest eddies in the flow and $u$ is their typical velocity scale. 
+          $\tau_{\mathrm{l}}$ can be interpreted as a typical time a turbulent eddy needs to traverse the modeling domain. In our case, 
+          $L$ is proportional to the domain height ($L\approx1000\,\mathrm{m}$) and $u$ is about $5\,\mathrm{ms^{-1}}$ (see time series of 
+          wmax on frame 12). Thus, $\tau_{\mathrm{l}}\approx200\,\mathrm{s}$. An averaging time of 600\,s chosen here 
+          is, thus, appropriate. 
+   \end{itemize}
+\end{frame}
+
+% Folie 17
+\begin{frame}
+   \frametitle{Answers to question IV}
+   \footnotesize
+   Has the flow become stationary?
+   \begin{itemize}
+    \item The time series of total kinetic energy E and the maximum velocities wmax, umax and vmax shown in frames 12-13 exhibit 
+          a spin-up phase of the model up to $t\approx2000\,\mathrm{s}$. During this initialization time, turbulence is triggered by 
+          random perturbations until turbulence starts to develop.
+    \item A stationary state can be seen by means of an (almost) non-changing E with time. Constant maxima of the velocity 
+          components also indicate a stationary flow. 
+   \end{itemize}
+\end{frame}
+
+% Folie 18
+\begin{frame}
+   \frametitle{Answers to question V}
+   \footnotesize
+   Has the domain size and grid size been chosen appropriately?
+   \begin{itemize}
+    \item A domain size is generally appropriately chosen in case that several of the dominating flow structures fit into the modeling 
+          domain. From the xy-cross sections in frame 8 it becomes apparent that the typical hexagonal flow structures close to the 
+          surface can hardly be seen. The xz-cross sections in frame 9 also contain only 
+          one circulation. Thus, the domain size in our example seems to be too small to capture several energy-containing flow structures.
+    \item The grid size should be chosen in the way that the dominating flow structures can be represented by at least several 
+          grid points (4-5). A grid spacing of 50~m as chosen in this exercise 
+          is appropriate since the flow structures exhibit horizontal length scales of about 1~km (see frame 8).
+   \end{itemize}
+\end{frame}
 \end{document}
Index: palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex	(revision 1533)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex	(revision 1534)
@@ -67,5 +67,5 @@
    \begin{itemize}
       \item A neutrally stratified atmospheric boundary layer shall be simulated.
-      \item<2-> The flow shall be driven by a constant large-scale pressure gradient, i.e. a geostrophic wind.
+      \item<2-> The flow shall be driven by a constant large-scale pressure gradient, i.e., a geostrophic wind.
       \item<3-> At the end of the simulation, turbulence as well as the mean flow should be in a stationary state.
    \end{itemize}
@@ -88,5 +88,5 @@
        \item<2-> How do the horizontally and temporally averaged vertical velocity and momentum flux profiles look like?
        \vspace{1em}
-       \item<3-> Is it really a large-eddy simulation, i.e. are the subgrid-scale fluxes much smaller than the resolved-scale fluxes?
+       \item<3-> Is it really a large-eddy simulation, i.e., are the subgrid-scale fluxes much smaller than the resolved-scale fluxes?
        \vspace{1em}
        \item<4-> How do the turbulence spectra of $u$, $v$, $w$ along $x$ and along $y$ look like?\\
@@ -107,5 +107,5 @@
             \item<3-> Output of vertical profile data generated by the 1D-model is controlled by parameter \texttt{\textcolor{blue}{dt\_pr\_1d}}. It is in ASCII-format and it is written into a separate file. You can include the profiles of the 1D-model, which are used to initialize the 3D-model, in the standard profile data output of the 3D-model (which is controlled by parameter \texttt{\textcolor{blue}{data\_output\_pr}}) by adding a \texttt{'\#'} sign to the respective output quantity, e.g. \texttt{\textcolor{blue}{data\_output\_pr} = '\#u'}.
            \vspace{0.5em}
-            \item<3-> For the 1D-model, please set \texttt{\textcolor{blue}{mixing\_length\_1d} = 'blackadar'} and \texttt{\textcolor{blue}{dissipation\_1d} = 'detering'} in order to get a correct mean boundary layer wind profile. The default settings of these parameters would switch the turbulence parameterization of the 1D-model to the SGS-parameterization of the 3D-LES-model, which represents only the SGS-parts of turbulence. However, for this exercise the 1D-model has to parameterize all scales of turbulence (i.e. it should be used as a RANS-model).
+            \item<3-> For the 1D-model, please set \texttt{\textcolor{blue}{mixing\_length\_1d} = 'blackadar'} and \texttt{\textcolor{blue}{dissipation\_1d} = 'detering'} in order to get a correct mean boundary layer wind profile. The default settings of these parameters would switch the turbulence parameterization of the 1D-model to the SGS-parameterization of the 3D-LES-model, which represents only the SGS-parts of turbulence. However, for this exercise the 1D-model has to parameterize all scales of turbulence (i.e., it should be used as a RANS-model).
         \end{itemize}
 
@@ -144,7 +144,7 @@
 % Folie 7
 \begin{frame}
-   \frametitle{Time series of TKE}
-   \begin{center}
-      \includegraphics[width=1.0\textwidth]{exercise_neutral_figures/ts.eps}
+   \frametitle{Time series of TKE, umax and wmax}
+   \begin{center}
+      \includegraphics[width=0.62\textwidth]{exercise_neutral_figures/ts_tke_umax_wmax.eps}
    \end{center}
 \end{frame}
@@ -152,7 +152,7 @@
 % Folie 8
 \begin{frame}
-   \frametitle{Vertical profiles of $\overline{wu}$, $\overline{wv}$}
-   \begin{center}
-      \includegraphics[width=\textwidth]{exercise_neutral_figures/pr_wu.eps}\\
+   \frametitle{Vertical profiles of $\overline{w}$, $\overline{wu}$, $\overline{wv}$}
+   \begin{center}
+      \includegraphics[width=1.0\textwidth]{exercise_neutral_figures/pr_w_wu_wv.eps}
    \end{center}
 \end{frame}
@@ -163,6 +163,5 @@
                $\overline{w``u''}$ and $\overline{w``v''}$}
    \begin{center}
-      \includegraphics[width=0.55\textwidth]{exercise_neutral_figures/pr_wu_sgs.eps}\\
-      \includegraphics[width=0.55\textwidth]{exercise_neutral_figures/pr_wu_resolved.eps}\\
+      \includegraphics[width=0.55\textwidth]{exercise_neutral_figures/pr_wu_wv_sgs_res.eps}
    \end{center}
 \end{frame}
@@ -170,14 +169,68 @@
 % Folie 10
 \begin{frame}
-   \frametitle{Spectra of $u$ and $v$}
-      \includegraphics[angle=90,width=1.0\textwidth]{exercise_neutral_figures/sp_u.eps}
-\end{frame}
-
+   \frametitle{Spectra of $u$, $v$ and $w$}
+   \begin{center}
+      \includegraphics[angle=90,width=0.7\textwidth]{exercise_neutral_figures/sp_u_v_w.eps}
+   \end{center}
+\end{frame}
+
+
+\subsection{Answers}
 % Folie 11
 \begin{frame}
-   \frametitle{Spectra of $w$}
-   \begin{center}
-      \includegraphics[angle=90,width=0.6\textwidth]{exercise_neutral_figures/sp_w.eps}
-   \end{center}
+   \frametitle{Answers to question I}
+   \footnotesize
+   How long do you have to simulate until turbulence / mean flow become stationary?
+   \begin{itemize}
+    \item As can be seen in frame 6, a simulation time of about 48~h should at least be taken to obtain a roughly constant kinetic energy.
+    \item The time series of E shows an oscillation with a period of roughly 14~h. This can be attributed to the inertial oscillation 
+          affecting the air parcels due to the Coriolis force. This oscillation is damped with time.
+    \item umax and wmax do not change much in time after the spin-up time of roughly 6~h.
+   \end{itemize}
+\end{frame}
+
+% Folie 12
+\begin{frame}
+   \frametitle{Answers to question II}
+   \footnotesize
+   How do the horizontally and temporally averaged vertical velocity and momentum flux profiles look like?
+   \begin{itemize}
+    \item The profiles are shown in frame 7. The horizontally averaged vertical velocity is practically zero as the usage of incompressible 
+          equations together with cyclic boundary conditions (horizontal homogeneity) suggest.  
+    \item wu an wv decrease with height since friction decelerates the flow at the surface. Due to the turning of the wind vector 
+          with height (Ekman spiral), 
+          the meridional velocity component is non-zero evoking also a non-zero vertical momentum flux of the v-velocity component.
+    \item The non-convergence of the single profiles can be attributed to the inertial oscillation.
+   \end{itemize}
+\end{frame}
+
+% Folie 13
+\begin{frame}
+   \frametitle{Answers to question III}
+   \footnotesize
+   Is it really a large-eddy simulation?
+   \begin{itemize}
+    \item Frame 8 shows sub-grid and resolved momentum flux profiles. 
+    \item The simulation is an LES since resolved momentum fluxes are the dominant components to the total flux except for the near 
+          vicinity of the surface where the unresolved, sub-grid fluxes dominate.
+   \end{itemize}
+\end{frame}
+
+
+% Folie 14
+\begin{frame}
+   \frametitle{Answers to question IV}
+   \footnotesize
+   Can you identify the inertial subrange?
+   \begin{itemize}
+    \item In PALM, the spectral density is normalized by means of the variance and additionally multiplied by the wave number. Thus, the spectral density appearing 
+          on the ordinate of the plots in frame 9 is dimensionless.
+    \item The spectra show a maximum spectral density for small wave numbers. Thus, the largest eddies contain the highest variance 
+          (or turbulence kinetic energy, TKE). For higher wave numbers the inertial subrange follows where the spectra follow a -2/3 
+          slope in the plot (indicated by a black line). There, the variance follows the energy cascade where larger eddies break-up 
+          into smaller eddies. For the highest wave numbers, the spectra depart from the -2/3 slope indicating that dissipation takes place.
+    \item The spectra also show that the production range is not well developed (very flat maxima). This suggests that the modeling domain 
+          might be too small to capture relevant larger scales.
+   \end{itemize}
 \end{frame}
 