Index: palm/trunk/TUTORIAL/SOURCE/topography.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/topography.tex	(revision 1515)
+++ palm/trunk/TUTORIAL/SOURCE/topography.tex	(revision 1541)
@@ -22,4 +22,5 @@
 \usepackage{pdfcomment}
 \usepackage{xcolor}
+\usepackage{tabto}
 
 \institute{Institute of Meteorology and Climatology, Leibniz UniversitÃ€t Hannover}
@@ -54,6 +55,4 @@
 \end{frame}
 
-\section{Topography}
-\subsection{Topography}
 
 % Folie 2
@@ -62,11 +61,11 @@
    \begin{itemize}
       \item{Purpose of topography in PALM} 
-      \item{Definition}
       \item{Realization}
       \begin{itemize}
+         \item{Definition}
          \item{Physical concept}
          \item{Technical / numerical implementation}
-      \end{itemize}
-      \item{Strengths and limitations}
+         \item{Strengths and limitations}
+      \end{itemize}
       \item{Control parameters}
       \begin{itemize}
@@ -81,4 +80,7 @@
    \end{itemize}
 \end{frame}
+
+\section{Purpose}
+\subsection{Purpose}
 
 % Folie 3
@@ -98,14 +100,17 @@
 \end{frame}
 
+\section{Realization}
+\subsection{Realization}
+
 % Folie 4
 \begin{frame}
    \frametitle{Definition}   
    \begin{itemize}
-      \item{The topography definition in PALM covers solid, impermeable, fixed flow obstacles with a volume of at least one grid box.}
-      \par\bigskip
-      \item{The following qualifies as topography: \textcolor{green!50!black!100}{\checkmark}}      
+      \item{Topography in PALM covers solid, impermeable, fixed flow obstacles with a volume of at least one grid box.}
+      \par\bigskip
+      \item{Following qualifies as topography: \textcolor{green!50!black!100}{\checkmark}}      
       \begin{itemize}
          \footnotesize
-         \item{Human-made obstacles (buildings)}
+         \item{Artificial obstacles (buildings)}
          \item{Natural obstacles (hills, mountains)}
       \end{itemize}
@@ -117,5 +122,5 @@
                                                                      \> canopy model, local roughness length  \end{tabbing} } 
          \item{Small obstacles (signposts)}
-         \item{Moving obstacles (vehicles)}                                                    
+         \item{Moving obstacles (vehicles, wind turbine rotors)}                                                    
       \end{itemize}
    \end{itemize}
@@ -134,39 +139,37 @@
    \end{columns}
    \begin{columns}[c]
-   \column{0.6\textwidth}
+   \column{0.4\textwidth}
       \begin{itemize}
          \item{Grid boxes are}
          \begin{itemize}
-            \item{\begin{minipage}{0.1\textwidth} 
-                     \includegraphics[width=0.7\textwidth]{topography_figures/physical_concept_small1.png}
-                  \end{minipage}
-                  \begin{minipage}{0.5\textwidth} \scriptsize
+            \item{\begin{minipage}{0.4\textwidth} \scriptsize
                      \par\medskip
-                     100\% free fluid, \\
+                     100\% \\free fluid, \\
                   \end{minipage}}
-            \item{\begin{minipage}{0.1\textwidth}
-                     \includegraphics[width=0.7\textwidth]{topography_figures/physical_concept_small2.png}
-                  \end{minipage}
-                  \begin{minipage}{0.5\textwidth} \scriptsize
-                     100\% fluid adjacent to an obstacle, or
+            \item{\begin{minipage}{0.4\textwidth} \scriptsize
+                     100\% \\fluid adjacent to an obstacle, or
                   \end{minipage}}     
-            \item{\begin{minipage}{0.1\textwidth} 
-                     \includegraphics[width=0.7\textwidth]{topography_figures/physical_concept_small3.png}
-                  \end{minipage}
-                  \begin{minipage}{0.5\textwidth} \scriptsize
+            \item{\begin{minipage}{0.4\textwidth} \scriptsize
                      \par\medskip
                      100\% obstacle. \\
                   \end{minipage}}             
          \end{itemize}
+      \end{itemize}
+   \column{0.6\textwidth}
+      \vspace{-2.cm}\includegraphics[angle=90,width=.9\textwidth]{topography_figures/physical_concept.eps}
+   \end{columns}
+   \begin{columns}[c]
+   \column{1.\textwidth}
+      \begin{itemize}
          \item{No-slip boundary condition}
          \begin{itemize}
-            \item{\scriptsize Wall-normal velocity component is zero at obstacle surface \textbf{\textcolor{blue}{---------}}}
+            \item{\scriptsize Wall-normal velocity component is zero at obstacle surface}
          \end{itemize}
          \par\bigskip
-         \item{\begin{minipage}{0.75\textwidth}  \scriptsize
-                  Local surface layer for the first grid box \\adjacent to each obstacle surface
+         \item{\begin{minipage}{0.8\textwidth}  \scriptsize
+                  Local surface layer for the first grid box adjacent to each obstacle surface
                \end{minipage}
                \begin{minipage}{0.1\textwidth}
-                  \includegraphics[width=0.7\textwidth]{topography_figures/physical_concept_small2.png}
+                  \includegraphics[width=0.35\textwidth]{topography_figures/physical_concept_small.eps}
                \end{minipage}}
          \par\smallskip
@@ -175,6 +178,4 @@
          \end{itemize}
       \end{itemize}
-   \column{0.4\textwidth}
-      \includegraphics[width=\textwidth]{topography_figures/physical_concept.png}
    \end{columns}
 \end{frame}
@@ -183,45 +184,42 @@
 \begin{frame}
    \frametitle{Realization - \\ Numerical /Technical Implementation (I)}
+   \small
+   \begin{columns}[c]
+   \column{0.65\textwidth}
+      \begin{itemize}
+         \item{Obstacles must be surface-mounted}
+         \item{Overhanging structures \textbf{\textcolor{blue}{$\times$}}, holes \textbf{\textcolor{red}{$\times$}} etc. are not permitted.}
+         \begin{itemize}
+            \footnotesize
+            \item{This simplification allows extra performance optimization by reducing the 3D obstacle structure to a "'2.5D"' structure.}
+            \item{"'2.5D"' means that each surface grid cell is assigned only one building-height value (in m).}
+            \item{This conforms to the "'2.5D"' format of Digital Elevation Models (DEM).}
+         \end{itemize}
+      \end{itemize}     
+   \column{0.3\textwidth}
+      \par\medskip
+      \includegraphics[width=1.\textwidth]{topography_figures/technical_implementation.eps}
+   \column{0.05\textwidth}
+      \vspace*{2cm}\textcolor{red}{$\times$}
+      \textcolor{green!50!black!100}{\checkmark}
+   \end{columns}
+\end{frame}
+
+% Folie 7
+\begin{frame}
+   \frametitle{Realization - \\ Numerical /Technical Implementation (II)}
    \small
    \begin{columns}[c]
    \column{0.5\textwidth}
       \begin{itemize}
-         \item{Obstacles must be surface-mounted}
-         \item{Overhanging structures \textcolor{blue}{$\times$}, holes \textcolor{red}{$\times$} etc. are not permitted.}
-         \begin{itemize}
-            \footnotesize
-            \item{This simplification allows extra performance optimization by reducing the 3D obstacle dimension to a "'2.5D"' dimension.}
-            \item{"'2.5D"' means that each horizontal grid cell is assigned only one height level.}
-            \item{This conforms to the "'2.5D"' format of Digital Elevation Models (DEM).}
-         \end{itemize}
-      \end{itemize}     
-   \column{0.4\textwidth}
-      \par\medskip
-      \includegraphics[width=1.1\textwidth]{topography_figures/technical_implementation.png}
-   \end{columns}
-\end{frame}
-
-% Folie 7
-\begin{frame}
-   \frametitle{Realization - \\ Numerical /Technical Implementation (II)}
-   \begin{columns}[c]
-   \column{0.4\textwidth}
-      \footnotesize     
-      The location of the wall-normal velocity component defines the location of the impermeable obstacle surface. \\
-      \par\smallskip
-      Obstacle surfaces that do not match the grid are approximated by grid boxes like a step-function. 
-      \par\bigskip
-      $\bullet$ scalars \\
-      \textcolor{red}{$\bullet$ u (staggered)} \\
-      \textcolor{green!40!black!100}{\textbf{+} v (staggered)}
-%      \includegraphics[width=0.4\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_small1.png} \\
-%      \includegraphics[width=0.6\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_small2.png} \\
-%      \includegraphics[width=0.6\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_small3.png}
-   \column{0.6\textwidth}
-      \includegraphics<1|handout:0>[width=\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_1.png}
-      \includegraphics<2|handout:0>[width=\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_2.png}
-      \includegraphics<3|handout:0>[width=\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_3.png}
-      \includegraphics<4|handout:0>[width=\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_4.png}
-      \includegraphics<5|handout:1>[width=\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_5.png}
+         \item{The location of the wall-normal velocity component defines the location of the impermeable obstacle surface}
+         \item{Obstacle surfaces that do not match the grid are approximated by grid boxes like a step-function}
+      \end{itemize}
+      \par\bigskip
+      \hspace{1cm}$\bullet$ scalars \\
+      \hspace{1cm}\textcolor{red}{$\bullet$ u (staggered)} \\
+      \hspace{.92cm}\textcolor{green!40!black!100}{\textbf{+} v (staggered)}
+   \column{0.5\textwidth}
+      \includegraphics[width=\textwidth]{topography_figures/technical_implementation_grid/technical_implementation_grid_5.png}
    \end{columns}
 \end{frame}
@@ -234,7 +232,10 @@
    \begin{itemize}
       \item{In order to process topography from external data sources, the data must be made available 
-            to PALM as a rastered ASCII file, e.g. example\_topo.} 
-      \item{The layout of example\_topo must conform to the computational domain size and to the grid size dx and dy.}
-      \item{The rastered height data of example\_topo are given in m above ground and do not need to match
+            to PALM as a rastered ASCII file:}
+      \begin{itemize}
+         \item{see e.g. {\tt trunk/EXAMPLES/topo\_file/example\_topo\_file\_topo}.} 
+      \end{itemize}
+      \item{The layout of this topography file must conform to the computational domain size and to the grid size {\tt dx} and {\tt dy}.}
+      \item{The rastered height data of this topo file are given in m above ground and do not need to match
             the vertical grid, since they will be interpolated, if required.}
       \par\bigskip
@@ -251,15 +252,16 @@
    \frametitle{Realization â \\ Numerical / Technical Implementation (IV)}  
    \small
-   \textbf{Potential issue}
-   \begin{itemize}
-      \item{Load imbalance} 
-      \begin{itemize}
-         \item{Leads to inefficient parallelization: \dq fast\dq CPU(s) must wait for \dq slow\dq CPU(s)}
-         \item{Occurs if the CPUs do not share the same workload}
-         \begin{itemize}
-            \item{E.g. if topography is significantly heterogeneous in a large volume fraction of the computational domain}
-         \end{itemize}
-      \end{itemize}     
-   \end{itemize}
+   \textbf{Potential issue: Load imbalance}
+   \begin{columns}[c]
+   \column{0.55\textwidth}
+      \begin{itemize}
+         \item{Since prognostic equations are not calculated inside buildings, \\ \textbf{load imbalance} might occur, if topography is heterogeneously distributed among the subdomains.}
+         \begin{itemize}
+          \item{This means \dq fast\dq CPU(s) must wait for \dq slow\dq CPU(s), leading to inefficient parallelization.}
+         \end{itemize}
+      \end{itemize}
+   \column{0.45\textwidth}
+      \includegraphics[angle=90,width=\textwidth]{topography_figures/load_imbalance.eps}
+   \end{columns}
 \end{frame}
 
@@ -273,8 +275,8 @@
       \item[+]{Conforms with \dq 2.5D\dq format of Digital Elevation Models (DEM)} 
       \par\bigskip
-      \item[-]{Obstacles must be surface-mounted}
-      \item[-]{Grid boxes can only be 100\% fluid or 100\% obstacle \\ \par\smallskip
-              \begin{footnotesize} Obstacle surfaces that do not match the grid are approximated by grid boxes like a step-function, which can modify the real obstacle size or the orientation of the obstacle faces\end{footnotesize}}
-      \item[-]{Overhanging structures, holes etc. are not permitted due to the \dq 2.5D\dq format}
+      \item[$-$]{Obstacles must be surface-mounted}
+      \item[$-$]{Overhanging structures, holes etc. are not permitted due to the \dq 2.5D\dq format}
+      \item[$-$]{Grid boxes can only be 100\% fluid or 100\% obstacle \\ \par\smallskip
+                \begin{footnotesize} Obstacle surfaces that do not match the grid are approximated by grid boxes like a step-function, which can modify the real obstacle size or the orientation of the obstacle faces\end{footnotesize}}
    \end{itemize}
 \end{frame}
@@ -284,25 +286,27 @@
    \frametitle{Take a Short Break... Urban Flow Visualization}
    \begin{columns}[c]
-   \column{0.42\textwidth}
-      \includegraphics<1>[width=\textwidth]{topography_figures/hannover_1.png}
-      \href{.html}{\includegraphics<2>[width=\textwidth]{topography_figures/hannover_2.png}}
-   \column{0.58\textwidth}
-      Set-up: neutral boundary layer
-      \begin{itemize}
-         \item{Particle = passive tracer}
-         \item{Colour $\sim$ particle height}
-         \item{Tail length ~ particle velocity}         
-      \end{itemize}      
-      \par\bigskip
-      \begin{itemize}
-         \item{Flow past office tower:}
-         \begin{itemize}
-            \item{initially laminar: not yet an LES}
-            \item{intermittent: different episodes}
-         \end{itemize}
-         \item{Broad street canyon flow:}
-         \begin{itemize}
-            \item{channeling}
-            \item{low-level upstream flow}
+   \column{0.5\textwidth}
+      \includegraphics<1->[width=.8\textwidth]{topography_figures/hannover_1.png}
+      \par\smallskip
+      \href{.html}{\includegraphics<2->[width=.8\textwidth]{topography_figures/hannover_2.png}}
+   \column{0.5\textwidth}
+      \par\smallskip
+      \footnotesize
+      \uncover<1->{Set-up: neutral boundary layer}
+      \begin{itemize}
+         \uncover<1->{\item{Particle = passive tracer}}
+         \uncover<1->{\item{Colour $\sim$ particle height}}
+         \uncover<1->{\item{Tail length ~ particle velocity}}         
+      \end{itemize} 
+      \begin{itemize}
+         \uncover<2>{\item{Flow past office tower:}}
+         \begin{itemize}
+            \uncover<2>{\item{initially laminar: not yet an LES}}
+            \uncover<2>{\item{intermittent: different episodes}}
+         \end{itemize}
+         \uncover<2>{\item{Broad street canyon flow:}}
+         \begin{itemize}
+            \uncover<2>{\item{channeling}}
+            \uncover<2>{\item{low-level upstream flow}}
          \end{itemize}
       \end{itemize}
@@ -310,25 +314,26 @@
 \end{frame}
 
+\section{Control parameters}
+\subsection{Control parameters}
+
 % Folie 12
 \begin{frame}
    \frametitle{Required Topography Control Parameters}
-    \footnotesize
-   {\tt topography =} 
-   \begin{itemize}
-      \item{{\tt 'flat'} \hspace{3cm} no topography (default)}
-      \item{{\tt 'single\_building'} \hspace{1.2cm} \textcolor{red}{generic} single building} 
-      \item{{\tt 'single\_street\_canyon'} \hspace{0.4cm} \textcolor{red}{generic} single quasi-2D street canyon}
-      \item{{\tt 'read\_from\_file'} \hspace{1.4cm} \textcolor{blue}{rastered} ASCII file, e.g. {\tt example\_topo}}
-      \item{any other string \hspace{1.8cm} processed by user subroutine user\_init\_grid}
-   \end{itemize}
-   {\tt topography\_grid\_convention =}
-   \begin{itemize}
-      \item{{\tt '\textcolor{red}{cell\_edge}'} \hspace{2.2cm} default for \textcolor{red}{generic} topography: \textcolor{red}{$\leftrightarrow$}}
-      \item{{\tt '\textcolor{blue}{cell\_center}'} \hspace{1.9cm} default for \textcolor{blue}{rastered} topography: \textcolor{blue}{$\bigcirc$ $\leftrightarrow$}} 
-   \end{itemize}
-   \includegraphics<1|handout:0>[width=0.5\textwidth]{topography_figures/control_parameters_1.png}
-   \includegraphics<2|handout:0>[width=0.5\textwidth]{topography_figures/control_parameters_2.png}
-   \includegraphics<3|handout:0>[width=0.5\textwidth]{topography_figures/control_parameters_3.png}
-   \includegraphics<4|handout:1>[width=0.5\textwidth]{topography_figures/control_parameters_4.png}
+    \scriptsize
+   \uncover<1->{{\tt topography =}}
+   \begin{itemize}
+      \uncover<1->{\item{{\tt 'flat'}                   \tabto{4cm} no topography (default)}}
+      \uncover<1->{\item{{\tt 'single\_building'}       \tabto{4cm} \textcolor{red}{generic} single building}}
+      \uncover<1->{\item{{\tt 'single\_street\_canyon'} \tabto{4cm} \textcolor{red}{generic} single quasi-2D street canyon}}
+      \uncover<1->{\item{{\tt 'read\_from\_file'}       \tabto{4cm} \textcolor{blue}{rastered} ASCII file \\ \tabto{4cm}(e.g. {\tt trunk/EXAMPLES/topo\_file})}}
+      \uncover<1->{\item{any other string               \tabto{4cm} processed by user subroutine user\_init\_grid}}
+   \end{itemize}
+   \uncover<2->{{\tt topography\_grid\_convention =}}
+   \begin{itemize}
+      \uncover<2->{\item{{\tt '\textcolor{red}{cell\_edge}'}    \tabto{4cm} default for \textcolor{red}{generic} topography: \textcolor{red}{$\leftrightarrow$}}}
+      \uncover<3->{\item{{\tt '\textcolor{blue}{cell\_center}'} \tabto{4cm} default for \textcolor{blue}{rastered} topography: \textcolor{blue}{$\bigcirc$ $\leftrightarrow$}}}
+   \end{itemize}
+   \includegraphics<2|handout:0>[width=0.4\textwidth]{topography_figures/control_parameters_2.png}
+   \includegraphics<3|handout:1>[width=0.4\textwidth]{topography_figures/control_parameters_4.png}
 \end{frame}
 
@@ -337,28 +342,8 @@
    \frametitle{Optional Topography Control Parameters (I)}
    \small
-   \textbf{Generic topography}    
-   \scriptsize
-   \begin{itemize}
-      \item{topography = {\tt 'single\_building'}} 
-      \begin{itemize}
-         \scriptsize
-         \item{building\_height = 50.0 \hspace{0.67cm} height of the building}
-         \item{building\_length\_x = 50.0 \hspace{0.43cm} length of the building in x-direction}
-         \item{building\_length\_y = 50.0 \hspace{0.43cm} length of the building in y-direction}
-         \item{building\_wall\_left \hspace{1.4cm} (default is building centered in x-direction)}
-         \item{building\_wall\_south \hspace{1.13cm} (default is building centered in y-direction)}
-      \end{itemize}
-      \item{topography = {\tt 'single\_street\_canyon'}}
-      \begin{itemize}
-         \scriptsize
-         \item{canyon\_height = 50.0 \hspace{0.45cm} height of the canyon \\
-               and}
-         \item{canyon\_width\_x = 50.0 \hspace{0.3cm} implies canyon axis orientation in y-direction}
-         \item{canyon\_wall\_left \hspace{1.17cm} (default is canyon centered in x-direction) \\
-               or}
-         \item{canyon\_width\_y = 50.0 \hspace{0.3cm} implies canyon axis orientation in x-direction}
-         \item{canyon\_wall\_south \hspace{0.9cm} (default is canyon centered in y-direction)}
-      \end{itemize}
-   \end{itemize}
+   \textbf{Generic topography}
+   \begin{figure}
+      \centering\includegraphics[width=.8\textwidth]{topography_figures/single_building_parameters.eps}
+   \end{figure}
 \end{frame}
 
@@ -366,7 +351,17 @@
 \begin{frame}
    \frametitle{Optional Topography Control Parameters (II)}
+   \small
+   \textbf{Generic topography}
+   \begin{figure}
+      \centering\includegraphics[width=.8\textwidth]{topography_figures/single_canyon_parameters.eps}
+   \end{figure}
+\end{frame}
+
+% Folie 15
+\begin{frame}
+   \frametitle{Optional Topography Control Parameters (III)}
    \scriptsize   
    \textbf{Rastered topography}\\
-   \begin{minipage}{0.7\textwidth}
+   \begin{minipage}{0.8\textwidth}
       \begin{itemize}
          \scriptsize
@@ -378,28 +373,24 @@
       \end{itemize}
    \end{minipage}
-   \begin{minipage}{0.2\textwidth}
+   \begin{minipage}{0.15\textwidth}
       \includegraphics[width=0.5\textwidth]{topography_figures/optional_control_parameters_1.png}
    \end{minipage}
    \begin{center}
-      \includegraphics[width=0.85\textwidth]{topography_figures/optional_control_parameters_2.png}
+      \includegraphics[width=0.75\textwidth]{topography_figures/optional_control_parameters_2.png}
    \end{center}
    \begin{itemize}
       \item[]{}
       \begin{itemize} 
-         \scriptsize         
-         \item{layout must conform to domain size and grid size dx and dy.}
-         \item{height data}
-         \begin{itemize}
-            \scriptsize
-            \item{in m above ground (INTEGER or REAL)}
-            \item{do not need to match the vertical grid}
-         \end{itemize}
-      \end{itemize}
-   \end{itemize}
-\end{frame}
-
-% Folie 15
-\begin{frame}
-   \frametitle{Optional Topography Control Parameters (III)}
+         \scriptsize
+         \item{ASCII file {\tt example\_topo} must be available as INPUT file, like {\tt example\_p3d} ({\tt JOBS/example/INPUT/})}     
+         \item{layout must conform to domain size and grid size {\tt dx} and {\tt dy}}
+         \item{height data in m above ground (INTEGER or REAL) do not need to match the vertical grid}
+      \end{itemize}
+   \end{itemize}
+\end{frame}
+
+% Folie 16
+\begin{frame}
+   \frametitle{Optional Topography Control Parameters (IV)}
    \small
    \textbf{Rastered topography}
@@ -417,5 +408,5 @@
 \end{frame}
 
-% Folie 16   
+% Folie 17   
 \begin{frame}
    \frametitle{General Control Parameters (I): Suitable Driving Methods}
@@ -460,5 +451,5 @@
 \end{frame}
 
-% Folie 17
+% Folie 18
 \begin{frame}
    \frametitle{General Control Parameters (II): Initialization}
@@ -500,5 +491,5 @@
 \end{frame}
 
-% Folie 18
+% Folie 19
 \begin{frame}
    \frametitle{General Control Parameters (III): Boundary Conditions}
@@ -524,5 +515,5 @@
 \end{frame}
 
-% Folie 19
+% Folie 20
 \begin{frame}
    \frametitle{General Control Parameters (IV): Pressure Solver} 
@@ -544,5 +535,8 @@
 \end{frame}
 
-% Folie 20
+\section{Data output/ Scenarios}
+\subsection{Data output/ Scenarios}
+
+% Folie 21
 \begin{frame}
    \frametitle{Data Analysis / Output â Some Considerations (I)}
@@ -580,5 +574,5 @@
 \end{frame}
 
-% Folie 21
+% Folie 22
 \begin{frame}
    \frametitle{Your Responsibility and Contribution}
@@ -598,5 +592,5 @@
 \end{frame}
 
-% Folie 22
+% Folie 23
 \begin{frame}
    \frametitle{Some recent examples of topography/building applications with PALM}
@@ -645,5 +639,5 @@
 \end{frame}
 
-% Folie 22
+% Folie 24
 \begin{frame}
    \Large
@@ -651,5 +645,5 @@
 \end{frame}
 
-% Folie 23
+% Folie 25
 \begin{frame}
    \frametitle{Set-up Scenario: Single Street Canyon (I)}
@@ -670,5 +664,5 @@
 \end{frame}
 
-% Folie 24
+% Folie 26
 \begin{frame}
    \frametitle{Set-up Scenario: Single Street Canyon (II)}
@@ -680,5 +674,5 @@
 \end{frame}
 
-% Folie 25
+% Folie 27
 \begin{frame}
  \begin{tikzpicture}[remember picture, overlay]
@@ -686,9 +680,6 @@
          {%
          \begin{tikzpicture}[remember picture, overlay]
-            \uncover<1>{\node at (0,-0.5) {\includegraphics[width=0.7\textwidth]{topography_figures/scenario_ssc_example_1.png}};}
-            \uncover<2->{\node at (0,-0.5) {\includegraphics[width=0.7\textwidth]{topography_figures/scenario_ssc_example_2.png}};}
-            %\uncover<3->{\node at (0,-0.5) {\includegraphics[width=0.7\textwidth]{topography_figures/scenario_ssc_example_3.png}};}
-            \uncover<3->{\node at (-3.5,-0.2) {\includegraphics[width=0.48\textwidth]{topography_figures/scenario_ssc_example_4.png}};}
-            \uncover<4->{\node at (3.5,-0.2) {\includegraphics[width=0.38\textwidth]{topography_figures/scenario_ssc_example_5.png}};}
+            \uncover<1>{\node at (2.75,-0.5) {\includegraphics[width=0.55\textwidth]{topography_figures/scenario_ssc_example_2.png}};}
+            \uncover<1>{\node at (-3.25,-0.5) {\includegraphics[width=0.55\textwidth]{topography_figures/scenario_ssc_example_1.png}};}
          \end{tikzpicture}
          };
@@ -696,5 +687,20 @@
 \end{frame}
 
-% Folie 26
+% Folie 28
+\begin{frame}
+ \begin{tikzpicture}[remember picture, overlay]
+      \node [shift={(6.5 cm, 5cm)}]  at (current page.south west)
+         {%
+         \begin{tikzpicture}[remember picture, overlay]
+            \uncover<1>{\node at (2.75,-0.5) {\includegraphics[width=0.55\textwidth]{topography_figures/scenario_ssc_example_2.png}};}
+            \uncover<1>{\node at (-3.25,-0.5) {\includegraphics[width=0.55\textwidth]{topography_figures/scenario_ssc_example_1.png}};}
+            \uncover<1>{\node at (3.5,-0.2) {\includegraphics[width=0.38\textwidth]{topography_figures/scenario_ssc_example_5.png}};}
+            \uncover<2>{\node at (-3.5,-0.2) {\includegraphics[width=0.48\textwidth]{topography_figures/scenario_ssc_example_4.png}};}
+         \end{tikzpicture}
+         };
+  \end{tikzpicture}
+\end{frame}
+
+% Folie 29
 \begin{frame}
    \frametitle{Set-up Scenario: Constant Flux Layer}
@@ -715,5 +721,5 @@
 \end{frame}
 
-% Folie 27
+% Folie 30
 \begin{frame}
  \begin{tikzpicture}[remember picture, overlay]
@@ -722,6 +728,4 @@
          \begin{tikzpicture}[remember picture, overlay]
             \uncover<1->{\node at (0,-0.5) {\includegraphics[width=0.7\textwidth]{topography_figures/scenario_cfl_example_1.png}};}
-            \uncover<2->{\node at (-3.5,-0.2) {\includegraphics[width=0.45\textwidth]{topography_figures/scenario_cfl_example_2.png}};}
-            \uncover<3->{\node at (3.5,-0.2) {\includegraphics[width=0.38\textwidth]{topography_figures/scenario_cfl_example_3.png}};}
          \end{tikzpicture}
          };
@@ -729,5 +733,19 @@
 \end{frame}
 
-% Folie 28
+% Folie 31
+\begin{frame}
+ \begin{tikzpicture}[remember picture, overlay]
+      \node [shift={(6.5 cm, 5cm)}]  at (current page.south west)
+         {%
+         \begin{tikzpicture}[remember picture, overlay]
+            \uncover<1->{\node at (0,-0.5) {\includegraphics[width=0.7\textwidth]{topography_figures/scenario_cfl_example_1.png}};}
+            \uncover<1->{\node at (3.5,-0.2) {\includegraphics[width=0.38\textwidth]{topography_figures/scenario_cfl_example_3.png}};}
+            \uncover<2->{\node at (-3.5,-0.2) {\includegraphics[width=0.45\textwidth]{topography_figures/scenario_cfl_example_2.png}};}
+         \end{tikzpicture}
+         };
+  \end{tikzpicture}
+\end{frame}
+
+% Folie 32
 \begin{frame}
    \frametitle{Rules of Good Practise}