Index: palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex	(revision 1541)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex	(revision 1543)
@@ -82,5 +82,5 @@
    \frametitle{Hints I}
 
-   The setup of this exercise is based on the LES-intercomparison BOMEX (Siebesma et al., 2003, JAS): 
+   The setup of this exercise is based on the LES-intercomparison BOMEX (Siebesma et al., 2003, J. Atmos. Sci.): 
 %   \only<2>{\begin{center}
 %      \includegraphics[width=0.7\textwidth]{exercise_cumulus_figures/ptq.pdf}
@@ -145,5 +145,5 @@
       
       \texttt{initial\_temperature\_difference = 0.4}
-      \item<5-> Think parallel: Mind that the domain of each PE extends only from \texttt{nxlg} to \texttt{nxrg} and \texttt{nysg} to \texttt{nyng}!
+      \item<5-> Think parallel: Mind that the domain of each PE extends only from \texttt{nxlg} to \texttt{nxrg} and \texttt{nysg} to \texttt{nyng}! (Note that the just mentioned dimensions include ghost points)
     \end{itemize}
 \end{frame}
@@ -155,5 +155,5 @@
    \begin{itemize}
       \scriptsize
-	    \item<2-> PALM offers two bulk cloud physics schemes: A very simple, one-moment scheme by Kessler (1969, MM) and a state-of-the-art two-moment scheme by Seifert and Beheng (2006, MAP).
+	    \item<2-> PALM offers two bulk cloud physics schemes: A very simple, one-moment scheme by Kessler (1969, Meteor. Monogr.) and a state-of-the-art two-moment scheme by Seifert and Beheng (2006, Meteor. Atmos. Phys.).
 	    
 	    \item<3-> You will use the saturation adjustment scheme, as applied in the Kessler-scheme, for parameterizing condensation. (Note that this kind of scheme is used in the vast majority of today's bulk cloud physics parameterizations.)
@@ -245,7 +245,8 @@
 \begin{frame}
    \frametitle{$yz$-cross sections at $t \approx \unit[500]{s}$}
-%   The bubble of warm air rises, but has not reached its condensation level. 
-   \begin{center}
-      \includegraphics[width=1.0\textwidth]{exercise_cumulus_figures/500.pdf}
+%   The bubble of warm air rises, but has not reached its condensation level.
+   \vspace{-5mm}
+   \begin{center}
+      \includegraphics[angle=90,width=1.0\textwidth]{exercise_cumulus_figures/500.pdf}
    \end{center}
 \end{frame}
@@ -255,6 +256,7 @@
    \frametitle{$yz$-cross sections at $t \approx \unit[800]{s}$}
 %   Condensation starts, and the cloud appears as the the visible top of the rising bubble. 
-   \begin{center}
-      \includegraphics[width=1.0\textwidth]{exercise_cumulus_figures/800.pdf}
+   \vspace{-5mm}
+   \begin{center}
+      \includegraphics[angle=90,width=1.0\textwidth]{exercise_cumulus_figures/800.pdf}
    \end{center}
 \end{frame}
@@ -264,6 +266,7 @@
    \frametitle{$yz$-cross sections at $t \approx \unit[1200]{s}$}
 %   The cloud is vigorously growing.
-   \begin{center}
-      \includegraphics[width=1.0\textwidth]{exercise_cumulus_figures/1200.pdf}
+   \vspace{-5mm}
+   \begin{center}
+      \includegraphics[angle=90,width=1.0\textwidth]{exercise_cumulus_figures/1200.pdf}
    \end{center}
 \end{frame}
@@ -273,6 +276,7 @@
    \frametitle{$yz$-cross sections at $t \approx \unit[1500]{s}$}
 %   The cloud dilutes and dissipates due to turbulent entrainment of environmental air.
-   \begin{center}
-      \includegraphics[width=1.0\textwidth]{exercise_cumulus_figures/1500.pdf}
+   \vspace{-5mm}
+   \begin{center}
+      \includegraphics[angle=90,width=1.0\textwidth]{exercise_cumulus_figures/1500.pdf}
    \end{center}
 \end{frame}
@@ -295,5 +299,5 @@
    {\footnotesize }
    \begin{itemize}
-   \item See frames 9 -- 12: The clouds develops from a rising bubble of warm air ($t \approx \unit[500]{s}$). Reaching the condensation level ($t \approx \unit[800]{s}$), the cloud appears as the bubbles visible top. Afterwards, the cloud starts to grow more vigorously by the release of latent heat ($t \approx \unit[1200]{s}$). In the end of the cloud's life-cycle, the cloud dissipates by turbulent entrainment of environmental air and the subsequent evaporation of the cloud ($t \approx \unit[1500]{s}$).
+   \item See frames 9 -- 12: The clouds develops from a rising bubble of warm air ($t \approx \unit[500]{s}$). Reaching the condensation level ($t \approx \unit[800]{s}$), the cloud appears as the bubble's visible top. Afterwards, the cloud starts to grow more vigorously by the release of latent heat ($t \approx \unit[1200]{s}$). In the end of the cloud's life-cycle, the cloud dissipates by turbulent entrainment of environmental air and the subsequent evaporation of the cloud ($t \approx \unit[1500]{s}$).
    \end{itemize}
 \end{frame}