Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1551)
+++ /palm/trunk/SOURCE/Makefile	(revision 1552)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# Bugfix: further adjustments for the land surface model and radiation model
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1551 2015-03-03 14:18:16Z maronga
+# Bugfix: further adjustments for the land surface model and radiation model
+# 
 # 1517 2015-01-07 19:12:25Z hoffmann
 # advec_s_bc added to prognostic_equations
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 1551)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 1552)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Added support for land surface and radiation model parameters.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
+! Added support for land surface and radiation model parameters.
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1551)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Removed redundant output for combine_plot_fields
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Removed redundant output for combine_plot_fields
+! 
 ! 1468 2014-09-24 14:06:57Z maronga
 ! Adapted for use on up to 6-digit processor cores
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1551)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1552)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added various checks for land surface and radiation model. In the course of this
-! action, the length of the variable var has to be increased
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Added various checks for land surface and radiation model. In the course of this
+! action, the length of the variable var has to be increased
+! 
 ! 1504 2014-12-04 09:23:49Z maronga
 ! Bugfix: check for large_scale forcing got lost.
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1551)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1552)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
 ! Added suppport for land surface model and radiation model output. In the course
 ! of this action, the limits for vertical loops have been changed (from nzb and 
@@ -25,8 +32,4 @@
 ! Moreover, a new vertical grid zs was introduced.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1359 2014-04-11 17:15:14Z hoffmann
 ! New particle structure integrated. 
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1551)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1552)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
 ! Added suppport for land surface model and radiation model output. In the course
 ! of this action, the limits for vertical loops have been changed (from nzb and 
@@ -25,8 +32,4 @@
 ! Moreover, a new vertical grid zs was introduced.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1359 2014-04-11 17:15:14Z hoffmann
 ! New particle structure integrated. 
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1551)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1552)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! Added suppport for land surface model and radiation model output.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
+! Added suppport for land surface model and radiation model output.
 !
 ! 1498 2014-12-03 14:09:51Z suehring
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1551)
+++ /palm/trunk/SOURCE/header.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added informal output for land surface model and radiation model. Removed typo.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Added informal output for land surface model and radiation model. Removed typo.
+! 
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Renamed: "radiation -> "cloud_top_radiation"
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1551)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1552)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Allocation of land surface arrays is now done in the subroutine init_lsm_arrays,
-! which is part of land_surface_model.
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Allocation of land surface arrays is now done in the subroutine init_lsm_arrays,
+! which is part of land_surface_model.
+! 
 ! 1507 2014-12-10 12:14:18Z suehring
 ! Bugfix: set horizontal velocity components to zero inside topography
Index: /palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model.f90	(revision 1551)
+++ /palm/trunk/SOURCE/land_surface_model.f90	(revision 1552)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+! Bugfix: REAL constants provided with KIND-attribute in call of 
+! 1551 2015-03-03 14:18:16Z maronga
 ! Flux calculation is now done in prandtl_fluxes. Added support for data output.
 ! Vertical indices have been replaced. Restart runs are now possible. Some
@@ -28,8 +35,4 @@
 ! calculation
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-! Bugfix: REAL constants provided with KIND-attribute in call of 
 ! intrinsic function MAX and MIN
 !
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1551)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1552)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Increased pr_palm to 120. Increased length of dots_unit and dots_label to 13
-! digits. Increased length of domask, do2d, and do3d to 20 digits.
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Increased pr_palm to 120. Increased length of dots_unit and dots_label to 13
+! digits. Increased length of domask, do2d, and do3d to 20 digits.
+! 
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Renamed "radiation" -> "cloud_top_radiation"
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1551)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1552)
@@ -23,6 +23,5 @@
 ! Current revisions:
 ! ------------------
-! Added support for land surface model and radiation model output. In the course
-! of this action a new vertical grid zs (soil) was introduced.
+! 
 ! 
 ! Former revisions:
@@ -30,4 +29,8 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Added support for land surface model and radiation model output. In the course
+! of this action a new vertical grid zs (soil) was introduced.
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 1551)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Several changes in the liste for land surface model and radiation model
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Several changes in the liste for land surface model and radiation model
+! 
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Added support for the land surface model and radiation scheme
Index: /palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1551)
+++ /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1552)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
 ! Removed land surface model part. The surface fluxes are now always calculated
 ! within prandtl_fluxes, based on the given surface temperature/humidity (which 
@@ -25,8 +32,4 @@
 ! directly prescribed by the user.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Adapted for land surface model
Index: /palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model.f90	(revision 1551)
+++ /palm/trunk/SOURCE/radiation_model.f90	(revision 1552)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
 ! Added support for data output. Various variables have been renamed. Added
 ! interface for different radiation schemes (currently: clear-sky, constant, and
 ! RRTM (not yet implemented).
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Initial revision
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1551)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1552)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
 ! Added support for binary input of land surface and radiation model data. In the
 ! course of this work, new temporary arrays tmp_3d_soil1, tmp_3d_soil2 were
 ! required.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1468 2014-09-24 14:06:57Z maronga
 ! Adapted for use on up to 6-digit processor cores
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1551)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for land surface model and radiation model data.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Added support for land surface model and radiation model data.
+! 
 ! 1359 2014-04-11 17:15:14Z hoffmann
 ! New particle structure integrated. 
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1551)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added interface for different radiation schemes.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Added interface for different radiation schemes.
+! 
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Added calls for the land surface model and radiation scheme
Index: /palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_2d.f90	(revision 1551)
+++ /palm/trunk/SOURCE/user_data_output_2d.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Replaced nzb and nzt+1 with the new array bounds nzb_do and nzt_do.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Replaced nzb and nzt+1 with the new array bounds nzb_do and nzt_do.
+! 
 ! 1320 2014-03-20 08:40:49Z raasch
 ! kind-parameters added to all INTEGER and REAL declaration statements,
Index: /palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_3d.f90	(revision 1551)
+++ /palm/trunk/SOURCE/user_data_output_3d.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Replaced nzb and nzt+1 with the new array bounds nzb_do and nzt_do.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Replaced nzb and nzt+1 with the new array bounds nzb_do and nzt_do.
+! 
 ! 1320 2014-03-20 08:40:49Z raasch
 ! kind-parameters added to all INTEGER and REAL declaration statements,
Index: /palm/trunk/SOURCE/user_header.f90
===================================================================
--- /palm/trunk/SOURCE/user_header.f90	(revision 1551)
+++ /palm/trunk/SOURCE/user_header.f90	(revision 1552)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Typo removed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1551 2015-03-03 14:18:16Z maronga
+! Typo removed
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1551)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for binary ouput of land surface and radiation model data. 
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Added support for binary ouput of land surface and radiation model data. 
+! 
 ! 1400 2014-05-09 14:03:54Z knoop
 ! writing of arrays for random_generator_parallel added
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1551)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Typo removed
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Typo removed
+! 
 ! 1502 2014-12-03 18:22:31Z kanani
 ! Canopy module and parameters removed (parameters are always read from 
Index: /palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- /palm/trunk/UTIL/combine_plot_fields.f90	(revision 1551)
+++ /palm/trunk/UTIL/combine_plot_fields.f90	(revision 1552)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adjustments for data output of soil model quantities
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1551 2015-03-03 14:18:16Z maronga
+! Adjustments for data output of soil model quantities
+! 
 ! 1468 2014-09-24 14:06:57Z maronga
 ! Adapted for use on up to 6-digit processor cores (not tested)